package t9;

import java.util.Vector;


public class T9Node {
	Vector <String> words; //here we store all the words that match the number sequence so far
	
	T9Node[] children; //a T9 node as 8 children (for the numbers 2-9 which will encode our letters
	
	T9Node(){
		words = new Vector<String>(); //we store the strings in a Vector - you've seen this already in lecture
									  //its like an array - but can grow dynamically
		children = new T9Node[8];
		for (int i = 0; i < 8; i++) //should happen automatically - just did it to make it explicit
			children[i] = null;
	}
	
	
	
	public void addString(String newword)
	{
		words.add(newword);		//here we grow the "words" vector dynamically
	}	
	
}

